using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication4
{
class Program
{
static void Main(string[] args)
{
        string[] str=new string[2];
        str=Console.ReadLine().Split(" ");
        int p=int.Parse(str[0]);
        int a=int.Parse(str[1]);
        if (p>=3*a)
        {
            int a1=0, a2=0, a3=0, a4=0, a5=0, a6=0;
            if (p>3*(2*a-2) )
            {
             if ((p-3*(2*a-2)) %2==0)
             {
                 a3=a;
                 a4=a-2;
                 a5=a;
                 a6=a-2;
                 a1=a+(p-3*(2*a-2))/2;
                 a2=a-2+(p-3*(2*a-2))/2;
             }
             else
             {
                 a3=a;
                 a4=a-2;
                 a5=a;
                 a6=a-3;
                 a1=a+(p-2*(2*a-2)-2*a+3)/2;
                 a2=a-2+(p-2*(2*a-2)-2*a+3)/2;
             }
            }
         else if (p-3*a<=3*(a-2) && p-3*a>=0)
         {
             a1=a;
             a3=a;
             a5=a;
             if ( p-3*a>=a-2) a2=a-2;
             else a2=p-3*a;
             if (p-3*a-a2>=a-2) a4=a-2;
             else a4=p-3*a-a2;
             a6=p-3*a-a2-a4;
        }
         Console.WriteLine(a1+" " +a2);
         Console.WriteLine(a3+" " +a4);
         Console.WriteLine(a5+" " +a6);
        }
        else Console.WriteLine(-1);
        }
    }
}